# YOU DON T NEED TO EDIT THIS FILE MANUALLY
# IT IS FILTERED AND COPIED TO THE RESOURCES/PROPERTIES/OS.NAME/OS.ARCH AUTOMATICALLY BY THE BUILD SCRIPT (SEE BUID-OS.NAME-OS.ARCH.XML FOR
# CONFIGURATION TOKENS)
# specify the name (or part of the beggining) of the targeted OS
os=Linux
#recommended if your operating systems uses writeable user Extensions paths (e.g. Mac OS X /Library/Java/Extensions/)
useSystemExtensionsPaths=false
# specify the native libraries to install
# syntax is : nativeName:resourcePathToLibraryFile{:load}
# load is default to false which will not call System.load()
# seperate with " " (one blank space)
extNatives=clib_jiio:/libclib_jiio.so mlib_jai:/libmlib_jai.so lwjgl64:/liblwjgl64.so openal64:/libopenal64.so jinput-linux64:/libjinput-linux64.so jmcvid:/libjmcvid.so jmdaud:/libjmdaud.so jmfjawt:/libjmfjawt.so jmg723:/libjmg723.so jmgsm:/libjmgsm.so jmh261:/libjmh261.so jmh263enc:/libjmh263enc.so jmjpeg:/libjmjpeg.so jmmpa:/libjmmpa.so jmmpegv:/libjmmpegv.so jmmpx:/libjmmpx.so jmutil:/libjmutil.so jmv4l:/libjmv4l.so jmxlib:/libjmxlib.so clib_jiio:/i386/libclib_jiio.so mlib_jai:/i386/libmlib_jai.so lwjgl:/i386/liblwjgl.so openal:/i386/libopenal.so jinput-linux:/i386/libjinput-linux.so

# ONLY FOR APPLETS : here should be the extension JARS you want to install in ${java.home}/lib/ext
#seperate jar resources filenames by " " (one blank space)
#Please use full qualified class-loader resources paths !
extPathURL=http://sf3jswing.sourceforge.net/api/
extJars=sf3jswing-jigaxtended-Linux-amd64-ext-native_signed.jar sf3jswing-jigaxtended-Linux-amd64-ext-props_signed.jar sf3jswing-jigaxtended-Linux-amd64-ext-lib_signed.jar sf3jswing-jigaxtended-Linux-amd64-ext_signed.jar
# Java SE installer
extInstallerJar=sf3jswing-jigaxtended-Linux-amd64-ext-kernel_signed.jar
# optional Java Applet installer
appletInstallerURL=http://sf3jswing.sourceforge.net/api//JXAKERNELEmbedExample.html
